<ui:composition template="/WEB-INF/template/LayoutPadrao.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:o="http://omnifaces.org/ui">

    <ui:define name="titulo">Novo Catequista</ui:define>
    
    <ui:define name="corpo">
    	<f:metadata>
			<o:viewParam name="etapa"  />
		</f:metadata>
    
    	<h1>Novo Catequista</h1>
    	
    	<h:form id="frmCadastro">
    		<p:growl id="messages" autoUpdate="true" closable="true" showDetail="true" />
    	
	    	<p:toolbar style="margin-top: 20px">
	    		<p:toolbarGroup>
	    			<p:commandButton value="Salvar" id="botaoSalvar" update="frmCadastro" action="#{cadastroCatequistaBean.salvar()}" />
	    		</p:toolbarGroup>
	    		<p:toolbarGroup align="right">
					<p:button value="Pesquisa" outcome="/catequista/PesquisaCatequista"/>
				</p:toolbarGroup>
	    	</p:toolbar>
	    	
	    	<h:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px; "  columnClasses="rotulo, campo">
	    		
				<p:outputLabel value="CPF" for="cpf" />
				<p:inputMask id="cpf" mask="999.999.999-99" value="#{cadastroCatequistaBean.entidade.cpf}" />
				
				<p:outputLabel value="Nome" for="nome" />
				<p:inputText id="nome" value="#{cadastroCatequistaBean.entidade.nome}" />
				
				<p:outputLabel value="Endereço" for="endereco" />
				<p:inputText id="endereco" value="#{cadastroCatequistaBean.entidade.endereco}" />
				
				<p:outputLabel value="Cidade" for="cidade" />
				<p:inputText id="cidade" value="#{cadastroCatequistaBean.entidade.cidade}" />
				
				<p:outputLabel value="Telefone" for="telefone" />
				<p:inputMask mask="9999-9999" id="telefone" value="#{cadastroCatequistaBean.entidade.telefone}" />
				
				<p:outputLabel value="Celular" for="celular" />
				<p:inputMask mask="99999-9999" id="celular" value="#{cadastroCatequistaBean.entidade.celular}" />
				
				<p:outputLabel value="Data de Nascimento" for="dataNascimento" />
				<p:calendar id="dataNascimento" value="#{cadastroCatequistaBean.entidade.dataNascimento}" mask="true" pattern="dd/MM/yyyy" converter="dateConverter"
					showHour="false" showMinute="false" showSecond="false" showMillisec="false" />
				
				<p:outputLabel value="E-mail" for="email" />
				<p:inputText id="email" value="#{cadastroCatequistaBean.entidade.email}" />

				<p:outputLabel value="Sexo" for="sexo" />
				<p:selectOneRadio id="sexo" value="#{cadastroCatequistaBean.entidade.sexo}" layout="grid" columns="2"  >
		            <f:selectItems value="#{cadastroCatequistaBean.radioSexo}" var="s" itemLabel="#{s.descSexo}" itemValue="#{s.codSexo}" />
		        </p:selectOneRadio>
		        
				<p:outputLabel value="Estado Civil" for="estado" />
				<p:selectOneRadio id="estado" value="#{cadastroCatequistaBean.entidade.estadoCivil}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioEstadoCivil}" var="s" itemLabel="#{s.descEstadoCivil}" itemValue="#{s.codEstadoCivil}" />
		             <p:ajax update="frmCadastro:conjugue" />
		        </p:selectOneRadio>
		        
		        <p:outputLabel value="Nome Cônjugue" for="conjugue" />
				<p:inputText id="conjugue" value="#{cadastroCatequistaBean.entidade.descConjugue}" disabled="#{cadastroCatequistaBean.bloquearCampoConjugue()}" />
		        
				<p:outputLabel value="Status" for="status" />
				<p:selectOneRadio id="status" value="#{cadastroCatequistaBean.entidade.status}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioStatus}" var="s" itemLabel="#{s.descStatus}" itemValue="#{s.codStatus}" />
		        </p:selectOneRadio>
		        
				<p:outputLabel value="Participou da escola arquidiocesana?" for="bolEac" />
				<p:selectOneRadio id="bolEac" value="#{cadastroCatequistaBean.entidade.bolEac}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
		        </p:selectOneRadio>
		        
		        <p:outputLabel value="Ano EAC" for="anoEac" />
				<p:selectOneMenu id="anoEac" value="#{cadastroCatequistaBean.entidade.ano_eac}">
					<f:selectItem noSelectionOption="true" itemLabel="Selecione..."/>
					<f:selectItems value="#{cadastroCatequistaBean.comboAno}" />
				</p:selectOneMenu>
		        
		        <p:outputLabel value="Coordenador?" for="bolCoordenador" />
				<p:selectOneRadio id="bolCoordenador" value="#{cadastroCatequistaBean.entidade.bolCoordenador}" immediate="true" >
		            <f:selectItems value="#{cadastroCatequistaBean.radioBooleano}" var="s" itemLabel="#{s.descricao}" itemValue="#{s.codigo}" />
		        </p:selectOneRadio>
		        
		        <p:outputLabel value="Observação" for="observacao" />
				<p:inputTextarea id="observacao" value="#{cadastroCatequistaBean.entidade.descObservacao}" cols="100" autoResize="false" rows="5" />
				
	    	</h:panelGrid>
	    	
    	</h:form>
    </ui:define>
</ui:composition>